Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.instrumentation
Interface DataCacheInstrument

All Known Subinterfaces:
  DataCacheJMXInstrumentMBean

All Known Implementing Classes:
  AbstractDataCacheInstrument, DataCacheJMXInstrument

    public interface DataCacheInstrument

Interface for providing instrumented data cache metrics and operations.

Method Summary
`void` | `cache(String className, boolean enable)` This method is used to enable/disable caching for the specified className.
`void` | `clear()` Clears all data from the DataCache.
`void` | `collectStatistics(boolean enable)`
`String` | `getCacheName()` Returns the name of the cache
`Map<String,long[]>` | `getCacheStatistics()` Returns the CacheStatistics for the cache.
`long` | `getHitCount()` Returns the hit count since cache statistics were last reset
`long` | `getHitCount(String className)` Gets number of total read requests that has been found in cache for the given class since last reset.
`long` | `getReadCount()` Returns the read count since cache statistics were last reset
`long` | `getReadCount(String className)` Gets number of total read requests for the given class since last reset.
`Boolean` | `getStatisticsEnabled()` Returns true if cache statistics are currently being calculated.
`long` | `getTotalHitCount()` Returns the total hits since start.
`long` | `getTotalHitCount(String className)` Gets number of total read requests that has been found in cache for the given class since start.
`long` | `getTotalReadCount()` Returns the total reads since start.
`long` | `getTotalReadCount(String className)` Gets number of total read requests for the given class since start.
`long` | `getTotalWriteCount()` Returns the total writes since start.
`long` | `getTotalWriteCount(String className)` Gets number of total write requests for the given class since start.
`long` | `getWriteCount()` Returns the write count since cache statistics were last reset
`long` | `getWriteCount(String className)` Gets number of total write requests for the given class since last reset.
`Map<String,Boolean>` | `listKnownTypes()` Returns the names of classes that are known to the cache and whether or not they are currently being cached.
`void` | `reset()` Resets cache statistics
`Date` | `sinceDate()` Returns date since cache statistics collection were last reset.
`Date` | `startDate()` Returns date cache statistics collection started.

Method Detail

### getReadCount

    long getReadCount(String className)

  Gets number of total read requests for the given class since last reset.

### getHitCount

    long getHitCount(String className)

  Gets number of total read requests that has been found in cache for the given class since last reset.

### getWriteCount

    long getWriteCount(String className)

  Gets number of total write requests for the given class since last reset.

### getTotalReadCount

    long getTotalReadCount(String className)

  Gets number of total read requests for the given class since start.

### getTotalHitCount

    long getTotalHitCount(String className)

  Gets number of total read requests that has been found in cache for the given class since start.

### getTotalWriteCount

    long getTotalWriteCount(String className)

  Gets number of total write requests for the given class since start.

### getCacheName

    String getCacheName()

  Returns the name of the cache

### getHitCount

    long getHitCount()

  Returns the hit count since cache statistics were last reset

### getReadCount

    long getReadCount()

  Returns the read count since cache statistics were last reset

### getTotalHitCount

    long getTotalHitCount()

  Returns the total hits since start.

### getTotalReadCount

    long getTotalReadCount()

  Returns the total reads since start.

### getTotalWriteCount

    long getTotalWriteCount()

  Returns the total writes since start.

### getWriteCount

    long getWriteCount()

  Returns the write count since cache statistics were last reset

### reset

    void reset()

  Resets cache statistics

### sinceDate

    Date sinceDate()

  Returns date since cache statistics collection were last reset.

### startDate

    Date startDate()

  Returns date cache statistics collection started.

### listKnownTypes

    Map<String,Boolean> listKnownTypes()

  Returns the names of classes that are known to the cache and whether or not they are currently being cached.

### getStatisticsEnabled

    Boolean getStatisticsEnabled()

  Returns true if cache statistics are currently being calculated. False otherwise.

### collectStatistics

    void collectStatistics(boolean enable)

  Parameters:
    `enable` - - If true, the cache will start collecting statistics. Else cache statistics will not be collected.

### cache

    void cache(String className,
               boolean enable)

  This method is used to enable/disable caching for the specified className.

### getCacheStatistics

    Map<String,long[]> getCacheStatistics()

  Returns the CacheStatistics for the cache. The format for this map is: Type(String) => Enabled(Boolean),Read(Long),Hit(Long),Write(Long)

### clear

    void clear()

  Clears all data from the DataCache.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.